#!/bin/bash

#If the script library isn't defined in config, go with local location.
source /opt/local/share/system-ssh-agent/system-ssh-agent.lib.sh

case "$1" in
  start)
    _ssh_agent_start
    ;;
  stop)
    _ssh_agent_load
    _ssh_agent_stop
    ;;
  add-system-keys)
    _ssh_agent_load
    _ssh_add_keys
    ;;
  *)
    echo "Usage: system-ssh-agent.sh start|stop|add-system-keys"
    ;;
esac
